<app-loading *ngIf="isLoading"></app-loading>
<nz-card>
  <div nz-row [nzGutter]="[32, 24]">
    <div nz-col class="gutter-row text-center" nzLg="24">
      {{ isConfirm ?  ('development.interview-config.field.messageConfirmInterviewResults' | translate) :  ('development.interview-config.field.messageConfirmInterviewResultsCancel' | translate)}}
    </div>
    <div *ngIf="!isConfirm" nz-col class="gutter-row" nzLg="24">
      <mb-input-text
      [mbMaxLength]="100"
      [(ngModel)]="reason"
      mbPlaceholderText="{{ 'development.interview-config.field.reason' | translate }}"
      [mbReadOnly]="true"
      mbLabelText="{{ 'development.interview-config.field.confirmReason' | translate }}"
      [mbIsTextAre]='true'
      [mbConfig]="{ rows: 4, autoSize: true }"
    >
    </mb-input-text>
    </div>
</div>
</nz-card>

<div class="footer">
  <mb-button
    [mbIsDisable]="isLoading"
    mbButtonAvailableStyle="PRIMARY"
    mbButtonText="{{ 'development.interview-config.buttonAction.next' | translate }}"
    (click)="save()"
  ></mb-button>
  <mb-button
    mbButtonAvailableStyle="BtnCancelHasBorder"
    mbButtonText="{{ 'development.proposed-unit.button.cancel2' | translate }}"
    (click)="closeModal()"
  >
  </mb-button>
</div>